Update role
PUT
/v2/rbac/roles/{id}Features
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input7
Sent from your browser straight to the API — never to Docsbook, never stored.
(path) Unique identifier of the role to update
Defines the available permissions for dataset operations
Detailed description of the role's purpose and scope
List of user IDs that are assigned to this role
Unique name identifier for the role
Defines organization-wide permissions and capabilities
Show child attributes15
Controls the management of annotations across the organization
Controls the management of API tokens for authentication
Controls access to organization audit logs
Controls access to billing information and settings
Controls the management of organization dashboards
Controls the management of organization datasets
Controls the management of API endpoints
Controls the management of data flows and pipelines
Controls the management of third-party integrations
Controls the management of monitoring
Controls the management of notification settings
Controls access to role-based access control settings
Controls the management of shared access keys
Controls user management within the organization
Controls the management of data views
Defines the available permissions for view operations
Output7
Defines the available permissions for dataset operations
Detailed description of the role's purpose and scope
List of user IDs that are assigned to this role
Unique name identifier for the role
Defines organization-wide permissions and capabilities
Show child attributes15
Controls the management of annotations across the organization
Controls the management of API tokens for authentication
Controls access to organization audit logs
Controls access to billing information and settings
Controls the management of organization dashboards
Controls the management of organization datasets
Controls the management of API endpoints
Controls the management of data flows and pipelines
Controls the management of third-party integrations
Controls the management of monitoring
Controls the management of notification settings
Controls access to role-based access control settings
Controls the management of shared access keys
Controls user management within the organization
Controls the management of data views
Defines the available permissions for view operations
Unique identifier for the role
Responses
200The role was successfully updated
Example input
curl -X PUT 'https://api.axiom.co/v2/rbac/roles/{id}' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"name":"string"}'Example output
{
"datasetCapabilities": {},
"description": "string",
"members": [
"string"
],
"name": "string",
"orgCapabilities": {
"annotations": [
"create"
],
"apiTokens": [
"create"
],
"auditLog": [
"read"
],
"billing": [
"read"
],
"dashboards": [
"create"
],
"datasets": [
"create"
],
"endpoints": [
"create"
],
"flows": [
"create"
],
"integrations": [
"create"
],
"monitors": [
"create"
],
"notifiers": [
"create"
],
"rbac": [
"create"
]
},
"viewCapabilities": {},
"id": "string"
}